Bug 24701 - Add column configuration to course reserves items table in the OPAC
Summary: Add column configuration to course reserves items table in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 22:29 UTC by Lisette Scheer
Modified: 2020-05-16 18:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24701: Add column config to course_items_table (3.18 KB, patch)
2020-02-21 20:58 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24701: Add column config to course_items_table (3.23 KB, patch)
2020-02-21 21:37 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 24701: Add column config to course_items_table (3.18 KB, patch)
2020-02-23 18:21 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24701: Add column config to course_items_table (3.17 KB, patch)
2020-02-23 18:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24701: Add column config to course_items_table (3.23 KB, patch)
2020-03-13 11:21 UTC, Devinim
Details | Diff | Splinter Review
Bug 24701: Add column config to course_items_table (3.28 KB, patch)
2020-03-15 14:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2020-02-20 22:29:06 UTC
from Bug 23547
Katrin Fischer 2019-09-05 16:00:44 UTC
It would be nice if it was easy to hide columns from the course reserves table in the OPAC (example: hide the Link column because it doesn't contain full text links reliably).


Bug 23547 adds the ability to configure columns for course_reserves_table on the OPAC. It would be helpful to also add configuration for course_items_table in the OPAC. 
Lisette
Comment 1 Lucas Gass 2020-02-21 20:58:46 UTC
Created attachment 99445 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl
Comment 2 Lisette Scheer 2020-02-21 21:37:03 UTC
Created attachment 99455 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2020-02-23 09:40:29 UTC
Thx Lucas and Lisette!
Comment 4 Katrin Fischer 2020-02-23 10:10:30 UTC
Love the patch, but sadly it removes the 'search' input field above the table in my tests, that we have without the configuration. :(
Comment 5 Lucas Gass 2020-02-23 18:21:27 UTC
Created attachment 99469 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl
Comment 6 Lucas Gass 2020-02-23 18:25:41 UTC
Created attachment 99470 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl
Comment 7 Lucas Gass 2020-02-23 18:27:38 UTC
Cait,

It looks like I was missing a dataTable configuation, I added this back in.
Comment 8 Devinim 2020-03-13 11:21:43 UTC
Created attachment 100677 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 9 Katrin Fischer 2020-03-15 14:03:50 UTC
Created attachment 100698 [details] [review]
Bug 24701: Add column config to course_items_table

This patch adds course_items_table to the column config tool
TEST PLAN:
1. Have some course reserves
2. Add some items to that course reserve and browse to opac-course-details
2. See all the unconfigurable columns
3. Apply patch
4. Browse to column config > OPAC > opac-course-details
5. Try hiding each column and make sure the correct column is hidden on opac-course-details.pl

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2020-03-19 09:23:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-04-03 20:20:21 UTC
enhancement not backported to 19.11.x